Author: Adam Cécile <gandalf@le-vert.net>
Description: Disable checking for new upstream releases enabled by default.
 Users can still enable it through the preferences menus.

diff -Naurp deluge.orig/deluge/core/preferencesmanager.py deluge/deluge/core/preferencesmanager.py
--- deluge.orig/deluge/core/preferencesmanager.py
+++ deluge/deluge/core/preferencesmanager.py
@@ -102,7 +102,7 @@ DEFAULT_PREFS = {
     'path_chooser_accelerator_string': 'Tab',
     'path_chooser_max_popup_rows': 20,
     'path_chooser_show_hidden_files': False,
-    'new_release_check': True,
+    'new_release_check': False,
     'proxy': {
         'type': 0,
         'hostname': '',
